# Get a chaos guard condition by id

Get a chaos guard condition by id

Endpoint: GET /gateway/chaos/manager/api/v3/chaosguard-conditions/{identity}
Version: 1.0
Security: x-api-key

## Query parameters:

  - `accountIdentifier` (string, required)
    account id to access the resource

  - `correlationID` (string)
    correlation id is used to debug micro svc communication

  - `organizationIdentifier` (string)
    organization id to access the resource

  - `projectIdentifier` (string)
    project id to access the resource

## Path parameters:

  - `identity` (string, required)
    The identifier for the condition

## Response 200 fields (application/json):

  - `conditionId` (string, required)

  - `correlationID` (string)

  - `createdAt` (integer)

  - `createdBy` (object)

  - `createdBy.email` (string)

  - `createdBy.userID` (string)

  - `createdBy.username` (string)

  - `description` (string)

  - `faultSpec` (object, required)

  - `faultSpec.faults` (array)

  - `faultSpec.faults.faultType` (string)
    Enum: "FAULT_GROUP", "FAULT_NAME"

  - `faultSpec.faults.name` (string)

  - `faultSpec.operator` (string)
    Enum: "EQUAL_TO", "NOT_EQUAL_TO"

  - `infraType` (string, required)
    Enum: "Kubernetes", "KubernetesV2", "Linux", "Windows"

  - `k8sSpec` (object)

  - `k8sSpec.applicationSpec` (object)

  - `k8sSpec.applicationSpec.operator` (string)
    Enum: "EQUAL_TO", "NOT_EQUAL_TO"

  - `k8sSpec.applicationSpec.workloads` (array)

  - `k8sSpec.applicationSpec.workloads.applicationMapId` (string)

  - `k8sSpec.applicationSpec.workloads.env` (array)

  - `k8sSpec.applicationSpec.workloads.env.name` (string)

  - `k8sSpec.applicationSpec.workloads.env.value` (string)

  - `k8sSpec.applicationSpec.workloads.kind` (string)

  - `k8sSpec.applicationSpec.workloads.label` (string)

  - `k8sSpec.applicationSpec.workloads.namespace` (string)

  - `k8sSpec.applicationSpec.workloads.services` (array)

  - `k8sSpec.chaosServiceAccountSpec` (object)

  - `k8sSpec.chaosServiceAccountSpec.operator` (string)
    Enum: "EQUAL_TO", "NOT_EQUAL_TO"

  - `k8sSpec.chaosServiceAccountSpec.serviceAccounts` (array)

  - `k8sSpec.infraSpec` (object)

  - `k8sSpec.infraSpec.infraIds` (array)

  - `k8sSpec.infraSpec.operator` (string)
    Enum: "EQUAL_TO", "NOT_EQUAL_TO"

  - `k8sSpec.unverifiedProbe` (string)
    Enum: "ALLOWED", "BLOCKED"

  - `machineSpec` (object)

  - `machineSpec.infraSpec` (object)

  - `machineSpec.unverifiedProbe` (string)
    Enum: "ALLOWED", "BLOCKED"

  - `name` (string, required)

  - `rules` (array)

  - `rules.name` (string, required)

  - `rules.ruleId` (string, required)

  - `tags` (array)

  - `updatedAt` (integer)

  - `updatedBy` (object)

## Response 400 fields (application/json):

  - `code` (string)
    Enum: "PIPELINE_NOT_FOUND"

  - `description` (string)

  - `message` (string)


